용어 목록 조회

검색 조건과 일치하는 용어 목록을 조회합니다. 특정 용어의 상세 정보는 용어 조회 API로 확인할 수 있습니다.

필요 권한

관리자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

GET /api/sonar/glossary/terms
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/glossary/terms?category=field&locale=ko&offset=0&limit=20"
요청 매개변수
필수타입설명비고
offsetX32비트 정수건너뛸 갯수0 이상. 기본값: 0
limitX32비트 정수최대 갯수0 이상. 기본값: 10
keywordsX문자열검색 키워드term, code, description 값을 대상으로 검색
categoryX문자열용어 사용 대상 분류table, field 중 하나
localeX문자열언어ko(한국어), en(영어), zh(중국어) 중 하나

정상 응답

{
  "total_count": 1,
  "terms": [
    {
      "guid": "a07e6bd4-5ca2-11f0-ad90-acde48001122",
      "category": "field",
      "locale": "ko",
      "term": "시각",
      "type": "DATE",
      "code": "_time",
      "description": "로그 생성 시각",
      "created": "2025-07-01 00:31:13+0900",
      "updated": "2025-07-01 00:31:13+0900"
    }
  ]
}
  • total_count (32비트 정수): 검색 조건과 일치하는 전체 용어 개수
  • terms (객체 배열): 검색 조건과 일치하는 용어 목록
    • guid (문자열): 용어 GUID
    • category (문자열): 용어 사용 대상 분류. table, field 중 하나
    • locale (문자열): 언어. ko(한국어), en(영어), zh(중국어) 중 하나
    • term (문자열): 용어
    • type (문자열): 데이터 유형. DATE, STRING, IP, PORT, SHORT, INT, LONG, COUNTRY, FLOAT, DOUBLE, BOOL, MD5, SHA1, URL, SHA256, DOMAIN 중 하나. 분류가 field가 아니면 null
    • code (문자열): 용어 식별 코드
    • description (문자열): 용어 설명
    • created (날짜): 생성 일시
    • updated (날짜): 수정 일시

오류 응답

offset, limit 값이 정수가 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
offset, limit 값이 음수인 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be greater than or equal to 0."
}
category 값이 유효하지 않은 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "invalid-category: ABC"
}
locale 값이 지원되지 않는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "unsupported-locale: ru",
  "error_msg": null
}
권한이 없는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}